import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { User } from '../_models/index';
import { environment } from '../../environments/environment';

@Injectable()
export class HomeService {
    constructor(private http: HttpClient) {}

    /*  
    getAll() {
        return this.http.get<User[]>(environment.apiUrl + '/admin/users');
    }

    getById(id: number) {
        return this.http.get(environment.apiUrl + '/users/profile/' + id);
    }


    update(user: User) {
        return this.http.put(environment.apiUrl + '/users/profile/update/', user);
    }

    delete(id: number) {
        return this.http.delete(environment.apiUrl + '/admin/users/' + id);
    }
    */
}
